TypeScript SDK
import Supermemory from "supermemory";
const client = new Supermemory({
apiKey: process.env.SUPERMEMORY_API_KEY,
});
const updated = await client.settings.update({
// org customization fields
});
console.log(updated);from supermemory import Supermemory
client = Supermemory() # uses SUPERMEMORY_API_KEY
updated = client.settings.update()
print(updated)curl -X PATCH "https://api.supermemory.ai/v3/settings" \
-H "Authorization: Bearer $SUPERMEMORY_API_KEY" \
-H "Content-Type: application/json" \
-d '{ }'{
"orgId": "<string>",
"orgSlug": "<string>",
"updated": {
"excludeItems": "<string>",
"filterPrompt": "<string>",
"googleDriveClientId": "<string>",
"googleDriveClientSecret": "<string>",
"googleDriveCustomKeyEnabled": true,
"includeItems": "<string>",
"notionClientId": "<string>",
"notionClientSecret": "<string>",
"notionCustomKeyEnabled": true,
"onedriveClientId": "<string>",
"onedriveClientSecret": "<string>",
"onedriveCustomKeyEnabled": true,
"githubClientId": "<string>",
"githubClientSecret": "<string>",
"githubCustomKeyEnabled": true,
"shouldLLMFilter": true,
"chunkSize": -1,
"profileBuckets": [
{
"key": "<string>",
"description": ""
}
],
"workspacePrompt": "<string>"
}
}{
"error": "Invalid request parameters",
"details": "Query must be at least 1 character long"
}{
"error": "Invalid request parameters",
"details": "Query must be at least 1 character long"
}{
"error": "Invalid request parameters",
"details": "Query must be at least 1 character long"
}Update settings
Update settings for an organization
PATCH
/
v3
/
settings
TypeScript SDK
import Supermemory from "supermemory";
const client = new Supermemory({
apiKey: process.env.SUPERMEMORY_API_KEY,
});
const updated = await client.settings.update({
// org customization fields
});
console.log(updated);from supermemory import Supermemory
client = Supermemory() # uses SUPERMEMORY_API_KEY
updated = client.settings.update()
print(updated)curl -X PATCH "https://api.supermemory.ai/v3/settings" \
-H "Authorization: Bearer $SUPERMEMORY_API_KEY" \
-H "Content-Type: application/json" \
-d '{ }'{
"orgId": "<string>",
"orgSlug": "<string>",
"updated": {
"excludeItems": "<string>",
"filterPrompt": "<string>",
"googleDriveClientId": "<string>",
"googleDriveClientSecret": "<string>",
"googleDriveCustomKeyEnabled": true,
"includeItems": "<string>",
"notionClientId": "<string>",
"notionClientSecret": "<string>",
"notionCustomKeyEnabled": true,
"onedriveClientId": "<string>",
"onedriveClientSecret": "<string>",
"onedriveCustomKeyEnabled": true,
"githubClientId": "<string>",
"githubClientSecret": "<string>",
"githubCustomKeyEnabled": true,
"shouldLLMFilter": true,
"chunkSize": -1,
"profileBuckets": [
{
"key": "<string>",
"description": ""
}
],
"workspacePrompt": "<string>"
}
}{
"error": "Invalid request parameters",
"details": "Query must be at least 1 character long"
}{
"error": "Invalid request parameters",
"details": "Query must be at least 1 character long"
}{
"error": "Invalid request parameters",
"details": "Query must be at least 1 character long"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
- Option 1
- Option 2
Maximum string length:
1500Was this page helpful?
⌘I